<%@ Control Language="C#" %>
<%@ Register TagPrefix="CS" Namespace="CommunityServer.Controls" Assembly="CommunityServer.Controls" %>
<%@ Register TagPrefix="Blog" Namespace="CommunityServer.Blogs.Controls" Assembly="CommunityServer.Blogs" %>
<%@ Import Namespace="CommunityServer.Components" %>
<%@ Import Namespace="CommunityServer.Blogs.Components" %>
<%
CSContext context = CSContext.Current;
if (Permissions.ValidatePermissions(Weblogs.GetWeblog(context.ApplicationKey, true), Permission.Post, context.User))
{
    foreach (RepeaterItem item in EntryItems.Items)
    {
        if (item.ItemType == ListItemType.Item || item.ItemType == ListItemType.AlternatingItem)
            item.FindControl("EditPipe").Visible = true;
    }
}
%>
<Blog:InlineTagEditor runat="server" id="InlineTagEditor" LinkCssClass="TextButton" CssClass="InlineTagEditor" />
<asp:Repeater id="EntryItems" Runat="server">
	<ItemTemplate>
        <div class="post">
	        <h2><asp:HyperLink Runat="server" id="PostTitle" /></h2>
	        <small>
		        <asp:HyperLink id="PermaLink" Text="Perma Link" Runat="server" />
		        <CS:ResourceControl runat="server" ResourceName="Weblog_EntryList_By" id="PostByResource" />
		        <asp:HyperLink id="AuthorLink" Runat="server" />
	        </small>
	        <div class="entry">
		        <asp:Literal id="Body" runat="server" />
		        <asp:HyperLink id="ReadMoreLink" runat="server" />
	        </div>
	        <p class="postmetadata">
		        <CS:InlineTagEditorPanel runat="server" id="InlineTagEditorPanel" InlineEditorID="InlineTagEditor" /> <strong>|</strong>
		        <asp:HyperLink id="EditLink" Visible="False" Runat="server" /> <strong id="EditPipe" runat="server" visible="false">|</strong>
		        <CS:ResourceControl runat="server" ResourceName="Weblog_EntryList_With" id="CommentDesc"/>
		        <asp:HyperLink id="CommentsLink" Runat="server" />
		        <Blog:DownloadAttachmentLink runat="Server" id="Attachment" />
	        </p> 
	        <Blog:BlogRatePost id="Ratings" runat="Server" CssClass="CommonRateControl" ReadOnlyCssClass="CommonRateControlReadOnly" ActiveCssClass="CommonRateControlActive" ImagesBaseUrl="~/Themes/default/images/common/"/>
	        <hr />
        </div>
	</ItemTemplate>
</asp:Repeater>
<CS:SinglePager id="pager" runat="Server" />